
Ruby - Bug #4812

tool/rbinstall.rb does not work with rubygems 1.8.5

06/01/2011 03:35 PM - sakuro (Sakuro OZAWA)

Status: Closed   

Priority: Normal   

Assignee: zenspider (Ryan Davis)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-06-01 trunk 31888)

[i386-darwin9.8.0]

Backport:  

Description

=begin

Now rubygems 1.8.5 is merged into the trunk.  But tool/rbinstall.rb depends on the fact that

DIRECTORIES = %w[cache doc gems specifications] unless defined?(DIRECTORIES)

line exist in lib/rubygems.rb, which did exist in rubygems 1.6.2 but gone in 1.8.5.

The attached patch is not the best but simply a workaround which copies the subdirecotry list from old lib/rubygems.rb.

=end

History

#1 - 06/02/2011 06:19 AM - zenspider (Ryan Davis)

- Category set to lib

- Assignee set to zenspider (Ryan Davis)

#2 - 06/02/2011 06:24 AM - zenspider (Ryan Davis)

- Status changed from Open to Closed

Looks like nobu beat you to the punch. Thanks tho!

Files

rbinstall-gem-sudirs.patch 593 Bytes 06/01/2011 sakuro (Sakuro OZAWA)
